=== debian/changelog ===
qdmr (0.11.2-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:43:51 +1100

qdmr (0.11.2-1build2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:38:05 +0000

qdmr (0.11.2-1build1) mantic; urgency=medium

  * Rebuild against new libyaml-cpp0.8.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 02 Sep 2023 07:20:17 +0200

qdmr (0.11.2-1) unstable; urgency=medium

  * Fixed detection of DMR-6X2UV.
  * Verified codeplug implementation for DM-1701 CPS 1.5 / FW 2.3.
  * Swapped DMR admit criterion 'SameCC'->'Different CC'.
  * Avoid AnyTone DMR-APRS RX/SMS firmware bug. 
  * Implements call-sign DB for BTECH DM-1701, Retevis RT84.

 -- Hannes Matuschek <dm3mat@darc.de>  Mon, 30 Jan 2023 16:03:00 +0100

qdmr (0.11.1-1) unstable; urgency=medium

  * Fixed crash on encoding roaming channels for AnyTone devices.
  * Fixed missing encoding of roaming channels and zones for BTECH DMR-6X2UV.

 -- Hannes Matuschek <dm3mat@darc.de>  Fri, 13 Jan 2023 20:26:00 +0100
