=== debian/changelog ===
qdmr (0.12.0-1) unstable; urgency=medium

  * Added support for Radioddity GD-73A/E
  * Added support for BTECH BF-1801UV (A6)
  * Added integer frequency type.
  * Implemented codeplug import/merge.
  * Implemented drag & drop move in lists and tables.
  * Implemented manual device interface & model selection. (#435)
  * Implemented SMS templates (#413)
  * Added CHIRP CSV file support.
  * Fixed encoding of settings extension for D578UV.
  * Fixed handling of signaling enum. (#399)
  * Fixed encoding of DMTF number length for AnyTone devices. (#425)
  * Implemented region selection for repeater book.
  * Fixed misleading error message on codeplug verification. (#387).
  * Added city, state and comment to TyT call-sign db.
  * Added column to roaming channel list, showing the roaming zones. (#378)
  * Fix D878UVII function-key decoding.
  * Fixed handling of missing default DMR IDs. (#458)
  * Changed verification dialog colors for dark mode. (#461)

 -- Hannes Matuschek <dm3mat@darc.de>  Thu, 25 Jul 2024 17:00:00 +0200

qdmr (0.11.3-2) unstable; urgency=medium

  * Fixed so-names for debian release.

 -- Hannes Matuschek <dm3mat@darc.de>  Wed, 16 Aug 2023 11:26:00 +0200

qdmr (0.11.3-1) unstable; urgency=medium

  * Implementation of AnyTone device specific settings (thanks @allesand)
  * Show zones in channel list. #301
  * Flip APRS enabled analog/digital values. #309 (thanks @majkrzak)
  * Enable APRS RX only on the APRS revert channel. #310 (thanks @majkrzak)
  * Enabled call-sign DB for TyT MD2017, UV390. #303
  * Added TyT extension to set DMR squelch for TyT MD-UV390 and MD-2017 #307
  * Fixed dialog when deleting a roaming channel. #318
  * Fixed decoding of roaming channels. #319
  * Switch column labels. #323
  * Wrap c_str in QString when emitting QTextStream. #330 (thanks @majkrzak)
  * Allow for userdb file in CLI. #347
  * Fix crash on missing access rights to dfu device. #354
  * Added Swedish translation (thanks @DC7IA)
  * Fixed so-names for debian release.

 -- Hannes Matuschek <dm3mat@darc.de>  Wed, 16 Aug 2023 10:03:03 +0200
